<div ng-controller="InspectorParcelaController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a ui-sref="admin.inspector.lista">Inspector</a>
          </li>
          <li>
            <a>Parcela</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <div class="panel">
            <div class="panel-body">
              <div class="row">
              <div class="col-md-7">
                Inspector : <strong>{{inspector.fullname | uppercase}}</strong>
              </div>
              <div class="col-md-1">
                <!-- Aréa Total : <strong>{{inspector.area_total | number : 2}}</strong> -->
              </div>
              <div class="col-md-4">
                <div class="pull-right" ng-if="routesHas()">
                  <a class="btn btn-xs btn-primary btn-rounded-10" ui-sref="admin.inspector.lista"><i class="fa fa-arrow-left"></i>  Regresar</a>
                </div>
              </div>
            </div>
            </div>
          </div> 
        </div>
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE PARCELAS</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Parcela">
                  </div>
                </div>
                <div class="col-md-1">
                  
                </div>
                <div class="col-md-5">
                  <div class="form-group">
                    <select class="form-control uppercase" name="id_sector" ng-model="id_sector" ng-options="sector.id as sector.nombre for sector in sectores" ng-change="list(id_sector)" required>
                      <option value="">-- SELECCIONE SECTOR--</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-12">
                  <hr>
                </div>
              </div>

              <div class="row" ng-if="isLoading">
                <div class="col-md-12">
                  <loading></loading>
                </div>
              </div>

              <div class="row" ng-if="!isLoading">
                  <div class="col-md-4">
                    <button ng-if="!isExport" class="btn btn-greensea btn-rounded-10 btn-sm btn-block btn-border mt-5 mb-5" ng-click="download()"><i class="fa fa-download"></i> exportar excel</button>
                    <button ng-if="isExport" class="btn btn-greensea btn-rounded-10 btn-sm btn-block btn-border mt-5 mb-5"><i class="fa fa-spinner fa-spin"></i> exportando...</button>
                  </div>                  
                  <div class="col-md-8">
                    <h5 class="text-right"><strong>CANTIDAD : {{productores[0].cantidad_parcelas}} PARCELAS</strong></h5>
                  </div>
                  <div class="col-md-12" ng-if="productores.length > 0">
                    <small>
                      <div class="table-responsive">
                        <table class="table table-hover table-bordered">
                          <thead>
                            <tr>
                              <th class="text-center">CÓDIGO</th>
                              <th>APELLIDOS Y NOMBRE</th>
                              <th class="text-center">NÚMERO</th>
                              <th class="text-center">ÁREA TOTAL</th>
                              <th class="text-center">ÁREA SEMBRADA</th>
                              <th class="text-center">EMPACADORA</th>
                              <th class="text-center">SECTOR</th>
                              <th class="text-center">VISITAS</th>
                            </tr>
                          </thead>
                          <tbody dir-paginate="productor in productores |filter: buscar | itemsPerPage: 10" pagination-id="productor.id">
                            <tr>
                              <td class="text-center" rowspan="{{productor.parcelas.length}}">{{productor.codigo_productor}}</td>
                              <td rowspan="{{productor.parcelas.length}}">{{productor.fullname}}</td>
                              <td class="text-center">
                                {{productor.parcelas[0].numero_parcela}}
                              </td>
                              <td class="text-center">{{productor.parcelas[0].ha_total}} ha</td>
                              <td class="text-center">{{productor.parcelas[0].ha_sembrada}} ha</td>
                              <td class="text-center">{{productor.parcelas[0].empacadora | uppercase}}</td>
                              <td class="text-center">{{productor.parcelas[0].sector | uppercase}}</td>
                              <td class="text-center">
                                <a class="btn btn-slategray btn-sm btn-border btn-rounded-10" ui-sref="admin.inspector.visita_form_1" ng-click="redirectTo(productor.parcelas[0])" title="VISITA A PARCELA {{inspector.nombre | uppercase}}"><span class="icon-list"></span> formulario uno</a>
                                <a class="btn btn-slategray btn-sm btn-border btn-rounded-10" ui-sref="admin.inspector.visita_form_2" ng-click="redirectTo(productor.parcelas[0])" title="VISITA A PARCELA {{inspector.nombre | uppercase}}"><span class="icon-list"></span> formulario 2</a>
                              </td>
                            </tr>
                            <tr ng-repeat="parcela in productor.parcelas.slice(1,productor.parcelas.length)">
                              <td class="text-center" nowrap>{{parcela.numero_parcela}}</td>
                              <td class="text-center" nowrap>{{parcela.ha_total}} ha</td>
                              <td class="text-center" nowrap>{{parcela.ha_sembrada}} ha</td>
                              <td class="text-center" nowrap>{{parcela.empacadora | uppercase}}</td>
                              <td class="text-center" nowrap>{{parcela.sector | uppercase}}</td>
                              <td class="text-center">
                                <a class="btn btn-slategray btn-sm btn-border btn-rounded-10" ui-sref="admin.inspector.visita_form_1" ng-click="redirectTo(productor.parcelas[0])" title="VISITA A PARCELA {{inspector.nombre | uppercase}}"><span class="icon-list"></span> formulario uno</a>
                                <a class="btn btn-slategray btn-sm btn-border btn-rounded-10" ui-sref="admin.inspector.visita_form_2" ng-click="redirectTo(productor.parcelas[0])" title="VISITA A PARCELA {{inspector.nombre | uppercase}}"><span class="icon-list"></span> formulario 2</a>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </small>
                    <div class="text-center">
                      <dir-pagination-controls pagination-id="productor.id"></dir-pagination-controls>
                    </div>
                  </div>
                  <div class="col-md-12" ng-if="productores.length == 0">
                    <p class="text-center">
                      <i class="icon-info fa-4x"></i>
                      <h5 class="text-center uppercase">no hay parcelas registrados...</h5>
                    </p>
                  </div>
              </div>

            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="parcela_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="Inspector de Parcela"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">

        <div class="form-group">
          <div class="row">
            <div class="col-md-12">
              <label for="tipo_propiedad">Inspector</label>
              <select class="form-control uppercase" name="id_inspector" ng-model="obj.id_inspector" ng-options="inspector.id as inspector.fullname for inspector in inspectores" required>
                <option value="">-- SELECCIONE INSPECTOR--</option>
              </select>
            </div>
          </div>
        </div>
        
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>
    </div>
  </script>
  <script  type="text/ng-template" id="parcela_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>